{ stdenv, lib, python3Packages, fetchzip }:

python3Packages.buildPythonPackage rec {
  pname = "uffd";
  version = "2.2.0";
  PACKAGE_VERSION = version;

  src = fetchzip {
    url = "https://git.cccv.de/uffd/uffd/-/archive/v${version}/uffd-v${version}.tar.gz";
    hash = "sha256-Bt0Q+4B2tbJmjnVQ4XZqEwDlXfd10QBo1AaK3EmZ5RY=";
  };

  patches = [
    ./fix-userinfo.patch
  ];

  propagatedBuildInputs = with python3Packages; [
    flask
    flask_sqlalchemy
    flask_migrate
    qrcode
    fido2
    oauthlib
    flask-babel
    argon2_cffi
    itsdangerous
    alembic
    Mako
    urllib3
    pyasn1
    certifi
    idna
    chardet
    requests-oauthlib
    prometheus-client
  ];

  postPatch = ''
    sed -i -e 's/==[0-9.]\+//g' setup.py
  '';

  doCheck = false;
  doInstallCheck = false;
}
